Bug 844580 - ibus-dconf does not load the system gvdb in dconf 0.13.4
ibus-dconf does not load the system gvdb in dconf 0.13.4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 02:19 EDT by Akira TAGOH
Modified: 2012-09-17 18:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 21:01:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for ibus/conf/dconf/main.c (719 bytes, patch)
2012-08-16 01:11 EDT, fujiwara
no flags Details | Diff

  None (edit)
Description Akira TAGOH 2012-07-31 02:19:38 EDT
Description of problem:
When run ibus-setup on rawhide, it shows:

(main.py:2107): IBUS-WARNING **: org.freedesktop.IBus.Config.GetValue: GDBus.Error:org.freedesktop.DBus.Error.Failed: Config value [general:load_xkb_layouts] does not exist.

(main.py:2107): IBUS-WARNING **: org.freedesktop.IBus.Config.GetValue: GDBus.Error:org.freedesktop.DBus.Error.Failed: Config value [general/xkblayoutconfig:group_list] does not exist.

Version-Release number of selected component (if applicable):
ibus-1.4.99.20120712-3.fc18.x86_64
Comment 1 fujiwara 2012-08-08 22:38:10 EDT
(In reply to comment #0)

I cannot reproduce your problem with the fresh installation.
I'm not sure what it could be happened.
The dconf db (/etc/dconf/db/ibus) is created by 'dconf update' with /etc/dconf/db/ibus.d/* in rpm post/pre scripts.
Also I removed the dconf db in postuninstall script so that the garbage will be cleaned up.
Comment 2 fujiwara 2012-08-08 22:39:04 EDT
dconf-editor could check which keys are installed.
Comment 3 fujiwara 2012-08-08 22:41:18 EDT
(In reply to comment #1)
> I'm not sure what it could be happened.

typo:
I'm not sure why it could be happened.
Comment 4 Akira TAGOH 2012-08-09 01:27:51 EDT
there are general:load-xkb-layouts and general/xkblayoutconfig:group-list. but not general:load_xkb_layouts nor general/xdblayoutconfig:group_list.
Comment 5 fujiwara 2012-08-12 23:07:05 EDT
I still do not understand why this problem could be happened.
It would be good if you could show the more info as I noted some tips.
Comment 6 Akira TAGOH 2012-08-12 23:25:43 EDT
I can still see this issue after removing /etc/dconf/db/ibus and dconf update. fyi if it's "some tips" you said. comment#4 was what I saw on dconf-editor. no warnings for keys. also just pointed out s/-/_/ may be the problem if dconf can't deal with _ and - transparently.
Comment 7 fujiwara 2012-08-15 05:50:37 EDT
(In reply to comment #6)
> I can still see this issue after removing /etc/dconf/db/ibus and dconf
> update. fyi if it's "some tips" you said. comment#4 was what I saw on
> dconf-editor. no warnings for keys. also just pointed out s/-/_/ may be the
> problem if dconf can't deal with _ and - transparently.

It's the expected result. ibus-dconf does s/_/-/.

The posts are two:
One is /etc/dconf/db/ibus was generated with the correct /etc/dconf/db/ibus.d/00-upstream-settings
Another is glib-compile-schemas was called with the correct /usr/share/glib-2.0/schemas/org.freedesktop.ibus.gschema.xml
Comment 8 fujiwara 2012-08-15 06:00:37 EDT
Thanks for the testing.
It seems Fedora 18 was changed something.
Comment 9 fujiwara 2012-08-16 01:11:31 EDT
Created attachment 604786 [details]
Patch for ibus/conf/dconf/main.c

Tentative patch
Comment 10 Daiki Ueno 2012-08-16 01:35:37 EDT
(In reply to comment #9)
> Created attachment 604786 [details]
> Patch for ibus/conf/dconf/main.c
> 
> Tentative patch

minor suggestion: getenv() check looks redundant and you could use g_setenv()
Comment 11 fujiwara 2012-08-16 03:01:50 EDT
(In reply to comment #10)
> minor suggestion: getenv() check looks redundant and you could use g_setenv()

Right. Thanks.
Comment 13 Fedora Update System 2012-08-22 08:17:25 EDT
ibus-1.4.99.20120822-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20120822-1.fc18
Comment 14 Fedora Update System 2012-08-22 08:17:41 EDT
ibus-1.4.99.20120822-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20120822-1.fc17
Comment 15 Fedora Update System 2012-08-22 10:36:58 EDT
Package ibus-1.4.99.20120822-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.99.20120822-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12410/ibus-1.4.99.20120822-1.fc18
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2012-08-30 21:01:55 EDT
ibus-1.4.99.20120822-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2012-09-17 18:49:43 EDT
ibus-1.4.99.20120822-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.